#include "evalconfig.h"

namespace illumestimators {

EvalConfig::EvalConfig(const std::string& prefix) :
	Config(prefix)
{
	#ifdef WITH_BOOST
		initBoostOptions();
	#endif // WITH_BOOST
}

std::string EvalConfig::getString() const
{
	std::stringstream s;

	return s.str();
}

#ifdef WITH_BOOST
void EvalConfig::initBoostOptions()
{
	if (!prefix_enabled) {
		options.add_options()(key("input,I"), boost::program_options::value(&inputFiles)->multitoken(), "Input images");
		options.add_options()(key("output,O"), boost::program_options::value(&outputDirectory)->default_value("/tmp/"), "Working directory");
	}

	options.add_options()(key("meta,M"), boost::program_options::value(&metaFiles)->multitoken(), "List of meta files");
}
#endif // WITH_BOOST

} // namespace illumestimators
