#ifndef ILLUMESTIMATORS_COMMANDS_GAMUT3DCONFIG
#define ILLUMESTIMATORS_COMMANDS_GAMUT3DCONFIG

#include "config.h"
#include <vector>

namespace illumestimators {

class Gamut3DConfig : public vole::Config {
public:
	Gamut3DConfig(const std::string& prefix = std::string());

public:
	virtual std::string getString() const;

protected:
	#ifdef WITH_BOOST
		virtual void initBoostOptions();
	#endif // WITH_BOOST

public:
	std::string inputFile;
	std::string outputDirectory;

	std::vector<std::string> trainingFiles;
	int n;
	double sigma;

	std::vector<std::string> metaFiles;
	std::string loadFile;
	std::string saveFile;
};

} // namespace illumestimators

#endif // ILLUMESTIMATORS_COMMANDS_GAMUT3DCONFIG
